Package org.jfree.layouting.renderer.border

## Class BorderFactory

- java.lang.Object
- - org.jfree.layouting.renderer.border.BorderFactory

-     public class BorderFactory
      extends java.lang.Object

  Creation-Date: 23.06.2006, 16:52:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorderFactory​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Border` | `createBorder​(LayoutContext layoutContext, OutputProcessorMetaData metaData)` |
    `static BorderEdge` | `merge​(BorderEdge first, BorderEdge second, long computedParentWidth)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderFactory

          public BorderFactory​()

  - ### Method Detail

    - #### createBorder

          public Border createBorder​(LayoutContext layoutContext,
                                     OutputProcessorMetaData metaData)

    - #### merge

          public static BorderEdge merge​(BorderEdge first,
                                         BorderEdge second,
                                         long computedParentWidth)